attribute vec2 vertex_position;
varying vec2 v_vertex_position;
attribute vec3 color;
varying vec3 v_color;
attribute vec2 origin;
varying vec2 v_origin;
uniform float resolution_ratio;

void main() {
  vec2 res_rat = vec2(resolution_ratio, 1.0);

  gl_Position = vec4(vertex_position, 0.0, 1.0);
  v_vertex_position = vertex_position * res_rat;

  v_color = color;
  v_origin = origin * res_rat;
}
